Skip to main content
POST
/
contact-accounts
Create a contact account
curl --request POST \
  --url https://api.reply.io/v3/contact-accounts \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "domainName": "<string>",
  "domainSecondary": "<string>",
  "industry": "<string>",
  "companySize": "Empty",
  "country": "<string>",
  "state": "<string>",
  "city": "<string>",
  "timeZoneId": "<string>",
  "linkedInUrl": "<string>",
  "phone": "<string>",
  "twitterUrl": "<string>",
  "logoUrl": "<string>",
  "email": "<string>"
}
'
{
  "id": 123,
  "ownerUserId": 123,
  "name": "<string>",
  "linkedProspectsCount": 123,
  "createdDate": "2023-11-07T05:31:56Z",
  "lastActivityDate": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "domainName": "<string>",
  "domainSecondary": "<string>",
  "industry": "<string>",
  "companySize": "Empty",
  "country": "<string>",
  "state": "<string>",
  "city": "<string>",
  "timeZoneId": "<string>",
  "linkedInUrl": "<string>",
  "phone": "<string>",
  "twitterUrl": "<string>",
  "logoUrl": "<string>",
  "email": "<string>",
  "stage": {
    "id": 123,
    "name": "<string>",
    "colorId": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Body

application/json

Request body for creating a contact account

name
string
required

Contact account name

description
string | null

Optional description

domainName
string | null

Primary domain name

domainSecondary
string | null

Secondary domain name

industry
string | null

Industry of the company

companySize
enum<string> | null

Company size range

Available options:
Empty,
SelfEmployed,
2-10,
11-50,
51-200,
201-500,
501-1000,
1001-5000,
5001-10000,
10001+
country
string | null

Country of the company

state
string | null

State or province

city
string | null

City

timeZoneId
string | null

Time zone identifier

linkedInUrl
string | null

LinkedIn profile URL

phone
string | null

Phone number

twitterUrl
string | null

Twitter profile URL

logoUrl
string | null

Company logo URL

email
string | null

Contact email address

Response

Contact account created successfully

A contact account representing a company or organization

id
integer
required

Unique identifier of the contact account

ownerUserId
integer
required

ID of the user who owns this contact account

name
string
required

Contact account name

linkedProspectsCount
integer
required

Number of contacts linked to this account

createdDate
string<date-time>
required

Date when the account was created

lastActivityDate
string<date-time>
required

Date of the last activity on this account

description
string | null

Optional description of the contact account

domainName
string | null

Primary domain name

domainSecondary
string | null

Secondary domain name

industry
string | null

Industry of the company

companySize
enum<string> | null

Company size range

Available options:
Empty,
SelfEmployed,
2-10,
11-50,
51-200,
201-500,
501-1000,
1001-5000,
5001-10000,
10001+
country
string | null

Country of the company

state
string | null

State or province

city
string | null

City

timeZoneId
string | null

Time zone identifier

linkedInUrl
string | null

LinkedIn profile URL

phone
string | null

Phone number

twitterUrl
string | null

Twitter profile URL

logoUrl
string | null

Company logo URL

email
string | null

Contact email address

stage
Contact Account Stage · object

Current stage of the contact account